﻿<?xml version="1.0" encoding="utf-8" ?>
<pages:PopupPage xmlns:pages="clr-namespace:Rg.Plugins.Popup.Pages;assembly=Rg.Plugins.Popup"
                 xmlns:animations="clr-namespace:Rg.Plugins.Popup.Animations;assembly=Rg.Plugins.Popup"
                 xmlns="http://xamarin.com/schemas/2014/forms"
                 xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
                 xmlns:d="http://xamarin.com/schemas/2014/forms/design"
                 xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
                 mc:Ignorable="d"
                 x:Class="NCSDirectoryApp.Views.PopupPages.JobSearchPopupPage"
                 xmlns:pancakeView="clr-namespace:Xamarin.Forms.PancakeView;assembly=Xamarin.Forms.PancakeView"
                 xmlns:resources="clr-namespace:NCSDirectoryApp.Resources"
                 xmlns:xct="http://xamarin.com/schemas/2020/toolkit">

    <pages:PopupPage.Animation>
        <animations:ScaleAnimation PositionIn="Center" PositionOut="Center" ScaleIn="1.2" ScaleOut="0.8" DurationIn="400" DurationOut="300" EasingIn="SinOut"
                                   EasingOut="SinIn" HasBackgroundAnimation="False" />
    </pages:PopupPage.Animation>

    <pancakeView:PancakeView CornerRadius="12,12,12,12" Margin="25" BackgroundColor="White" VerticalOptions="Center"
                             HorizontalOptions="CenterAndExpand">
        <pancakeView:PancakeView.Shadow>
            <pancakeView:DropShadow Color="#0000001A" Offset="0,1"/>
        </pancakeView:PancakeView.Shadow>
        <Grid RowDefinitions="60,1,Auto" RowSpacing="0">
            <StackLayout BackgroundColor="#FCFCFC" HorizontalOptions="FillAndExpand">
                <Label Text="job search" TextTransform="Uppercase" FontSize="18" TextColor="{StaticResource primaryTextColor}"
                       HorizontalOptions="Center" VerticalOptions="CenterAndExpand" FontFamily="{StaticResource LatoRegular}" />
            </StackLayout>
            <BoxView Grid.Row="1" HorizontalOptions="FillAndExpand" BackgroundColor="#F1F1F1" />
            <StackLayout Grid.Row="2" HorizontalOptions="Fill" Padding="26">
                <Label Text="Keyword, Skills or tags" FontFamily="{StaticResource LatoRegular}" FontSize="15"
                       Opacity="0.42" TextColor="{x:Static resources:ColorStrings.black}" />
                <Grid RowSpacing="0" ColumnSpacing="12" ColumnDefinitions="Auto,*" RowDefinitions="50,2">
                    <Image Source="{x:Static resources:ImageStrings.ic_keyword}" WidthRequest="25" VerticalOptions="Center"
                       HorizontalOptions="Center"/>
                    <Entry Grid.Column="1" Placeholder="Job Title" 
                       FontFamily="{StaticResource LatoRegular}" Text="{Binding JobTitle}">
                        <Entry.Effects>
                            <xct:RemoveBorderEffect />
                        </Entry.Effects>
                    </Entry>
                    <BoxView Grid.Row="1" Grid.ColumnSpan="2" BackgroundColor="{x:Static resources:ColorStrings.dark_blue}"
                         HorizontalOptions="Fill" />
                </Grid>
                <Grid RowSpacing="0" ColumnSpacing="12" ColumnDefinitions="Auto,*" RowDefinitions="50,2"
                      Margin="0,15,0,0">
                    <Image Source="{x:Static resources:ImageStrings.ic_location}" WidthRequest="25" VerticalOptions="Center"
                       HorizontalOptions="Center"/>
                    <Entry Grid.Column="1" Placeholder="Location" 
                       FontFamily="{StaticResource LatoRegular}" Text="{Binding Location}">
                        <Entry.Effects>
                            <xct:RemoveBorderEffect />
                        </Entry.Effects>
                    </Entry>
                    <BoxView Grid.Row="1" Grid.ColumnSpan="2" BackgroundColor="{x:Static resources:ColorStrings.dark_blue}"
                         HorizontalOptions="Fill" />
                </Grid>
                <Grid RowSpacing="0" ColumnSpacing="12" ColumnDefinitions="Auto,*" RowDefinitions="50,2"
                      Margin="0,15,0,0">
                    <Image Source="{x:Static resources:ImageStrings.ic_category}" WidthRequest="25" VerticalOptions="Center"
                       HorizontalOptions="Center"/>
                    <Entry Grid.Column="1" Placeholder="Category" 
                       FontFamily="{StaticResource LatoRegular}" Text="{Binding Category}">
                        <Entry.Effects>
                            <xct:RemoveBorderEffect />
                        </Entry.Effects>
                    </Entry>
                    <BoxView Grid.Row="1" Grid.ColumnSpan="2" BackgroundColor="{x:Static resources:ColorStrings.dark_blue}"
                         HorizontalOptions="Fill" />
                </Grid>
                <Frame Padding="0" HeightRequest="56" CornerRadius="10" Margin="0,30,0,4" HorizontalOptions="Center"
                       WidthRequest="160" HasShadow="False">
                    <Frame.Background>
                        <LinearGradientBrush StartPoint="0,0" EndPoint="1,0">
                            <GradientStop Color="{x:Static resources:ColorStrings.dark_red}" Offset="0.1"/>
                            <GradientStop Color="{x:Static resources:ColorStrings.dark_blue}" Offset="1.0"/>
                        </LinearGradientBrush>
                    </Frame.Background>
                    <Grid BackgroundColor="Transparent">
                        <Label Text="APPLY" FontSize="15" FontFamily="{StaticResource LatoBold}"
                               VerticalOptions="Center" HorizontalOptions="Center" TextColor="#FFFFFF" />
                    </Grid>
                    <Frame.GestureRecognizers>
                        <TapGestureRecognizer Command="{Binding ApplyCommand}" />
                    </Frame.GestureRecognizers>
                </Frame>
            </StackLayout>
        </Grid>
    </pancakeView:PancakeView>
</pages:PopupPage>